## Скрипты для работы с RLE

RLE (run-length encoding) кодирование повторов — алгоритм сжатия данных, в котором последовательность нескольких одинаковых символов заменена на один символ и число его повторов.

Работают только в Python 3

### bin-to-rle.py
Cжатие содержимого двоичного файла по алгоритму RLE

Параметры:
1. Двоичный файл
2. Сжатый файл (RLE)
3. Режим (8 или 16 бит), по умолчанию (если не указано) 8 бит

Примеры:

`./bin-to-rle.py test.bin test-8.rle`

`./bin-to-rle.py test.bin test-16.rle 16`

### rle-to-bin.py 
Распаковка содержимого файла, сжатого по алгоритму RLE в двоичный файл

Параметры:
1. Сжатый файл (RLE)
2. Двоичный файл
3. Режим (8 или 16 бит), по умолчанию (если не указано) 8 бит

Примеры:

`./rle-to-bin.py test-8.rle test-8.bin`

`./rle-to-bin.py test-16.rle test-16.bin 16`

### Описание формата сжатого файла
Каждый символ записывается в виде последовательности из 2 или 3 байт, в зависимости от режима.

Режим 8 бит — 1 байт на количество
 Байт  | Назначение 
------ | ------
  1    | значение
  2    | количество

Режим 16 бит — 2 байта на количество
 Байт  | Назначение 
------ | ------
  1    | значение
 2,3   | количество
